Bug 147973 - kernel panic when enabling ipw2200 wifi antenna on Dell D800
kernel panic when enabling ipw2200 wifi antenna on Dell D800
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-14 07:11 EST by Graham Biswell
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-04 02:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Biswell 2005-02-14 07:11:53 EST
Description of problem: 
kernel panic when enabling ipw2200 wifi antenna on Dell D800

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.760_FC3, kernel-2.6.10-1.1125_FC4

Does not happen when using kernel-2.6.9-1.667 with seperately compiled ipw2200
driver (ver 0.12). WiFi on this laptop works fine with this combination.

Does not happen on Asus M6B00NE with ipw2200 running the same kernel.

How reproducible: Every time.

Steps to Reproduce:
1. Enter <Fn-F2> to enable the antenna & bluetooth, the system panic's
immediately. If the antenna is enabled at boot, hit <Fn-F2> twice, once to
disable it & once to enable it & the kernel panics.

Additional info: 
Netdump log for 2.6.10-1.760_FC3:
Debug: sleeping function called from invalid context at mm/slab.c:2061
in_atomic():0, irqs_disabled():1
 [<c0118877>] __might_sleep+0x7b/0x85
 [<c0147e20>] kmem_cache_alloc+0x1b/0x45
 [<c02425f7>] request_firmware+0x2b/0x136
 [<f8906263>] ipw_get_fw+0x16/0x53 [ipw2200]
 [<f89062ce>] ipw_load+0x2e/0x48f [ipw2200]
 [<f890a63f>] ipw_up+0x3f/0xb6 [ipw2200]
 [<f8908804>] ipw_adapter_restart+0x1b/0x2c [ipw2200]
 [<f8909df4>] ipw_rf_kill+0xc7/0x12e [ipw2200]
 [<c012dd13>] worker_thread+0x1ff/0x31b
 [<f8909d2d>] ipw_rf_kill+0x0/0x12e [ipw2200]
 [<c01178b2>] default_wake_function+0x0/0xc
 [<c02fd623>] schedule+0x45d/0x4ea
 [<c01178b2>] default_wake_function+0x0/0xc
 [<c012db14>] worker_thread+0x0/0x31b
 [<c0132acd>] kthread+0x69/0x91
 [<c0132a64>] kthread+0x0/0x91
 [<c01011dd>] kernel_thread_helper+0x5/0xb
 [<f8909bcd>] ipw_isr+0x44/0x1a4 [ipw2200]
 [<c013d4ae>] handle_IRQ_event+0x21/0x4a
 [<c013d613>] __do_IRQ+0x13c/0x249
 [<c0104e04>] do_IRQ+0x5e/0x7a
 [<c01035b2>] common_interrupt+0x1a/0x20
Kernel panic - not syncing: drivers/net/wireless/ipw2200/ipw2200.c:5938:
spin_lock(drivers/net/wireless/ipw2200/ipw2200.c:f6e112c4) already locked by

------------[ cut here ]------------
kernel BUG at kernel/panic.c:73!
invalid operand: 0000 [#1]
Modules linked in: hci_usb netconsole netdump md5 ipv6 parport_pc lp parport
autofs4 i2c_dev i2c_core rfcomm l2cap bluetooth sunrpc pcmcia ipt_REJECT
ipt_state ip_conntrack iptable_filter ip_tables nls_utf8 cryptoloop loop dm_mod
video button battery ac ohci1394 ieee1394 yenta_socket pcmcia_core uhci_hcd
ehci_hcd snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer
snd soundcore snd_page_alloc ipw2200 ieee80211_crypt_wep crc32c libcrc32c
ieee80211 ieee80211_crypt tg3 ext3 jbd
CPU:    0
EIP:    0060:[<c011afd2>]    Not tainted VLI
EFLAGS: 00010282   (2.6.10-1.760_FC3)
EIP is at panic+0x47/0x152
eax: 000000c6   ebx: f6e11280   ecx: c030de02   edx: c03d3f9c
esi: 00000000   edi: 00000000   ebp: 00000005   esp: c03d3fa4
ds: 007b   es: 007b   ss: 0068
Process hotplug (pid: 5966, threadinfo=c03d3000 task=f5048c50)
Stack: f6e11280 f8909bee f890ccd8 f890ccb1 00001732 f890ccb1 f6e112c4 f890ccb1
       00001760 f6dd6140 00000000 c013d4ae f5fe6fc4 c03a2d00 00000005 f5fe6fc4
       f6dd6140 c013d613 f5fe6fb0 f5fe6fc4 00000005 f5fe6000 c0104e04
Call Trace:
 [<f8909bee>] ipw_isr+0x65/0x1a4 [ipw2200]
 [<c013d4ae>] handle_IRQ_event+0x21/0x4a
 [<c013d613>] __do_IRQ+0x13c/0x249
 common_interrupt+0x1a/0x2069 3d 98 c0 69
Pid: 5966, comm:              hotplug
EIP: 0060:[<c011afd2>] CPU: 0
EIP is at panic+0x47/0x152
 EFLAGS: 00010282    Not tainted  (2.6.10-1.760_FC3)
EAX: 000000c6 EBX: f6e11280 ECX: c030de02 EDX: c03d3f9c
ESI: 00000000 EDI: 00000000 EBP: 00000005 DS: 007b ES: 007b
CR0: 8005003b CR2: 005a2cb0 CR3: 34c1e000 CR4: 000006d0
 [<f8909bee>] ipw_isr+0x65/0x1a4 [ipw2200]
 [<c013d4ae>] handle_IRQ_event+0x21/0x4a
 [<c013d613>] __do_IRQ+0x13c/0x249
 [<c0104e04>] do_IRQ+0x5e/0x7a
 [<c01035b2>] common_interrupt+0x1a/0x20
Comment 1 Dave Jones 2005-07-15 14:58:38 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Graham Biswell 2005-08-02 07:14:57 EDT
I've upgraded to FC4 & the problem is no longer present.

Note You need to log in before you can comment on or make changes to this bug.